Subject: Re: [bug#29975] [core-updates] gnu: gpm: Fix building with glibc 2.26.
From: Leo Famulari <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Jan 2018 00:21:32 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Jan 06, 2018 at 11:01:01PM +0100, Marius Bakke wrote:
> Gentoo only carries the sysmacros.h hunk, plus a one-liner:
> 
> https://gitweb.gentoo.org/repo/gentoo.git/tree/sys-libs/gpm/files
> 
> ...which seems less "brutal" than the LFS patch.  Can you try it?

Thanks, I pushed as fddb22ac1954a49985b3c0dd5ef253b2c0d35b7c with these
patches instead.

> I also noticed Arch does not have any patches on gpm, I wonder what they
> do differently.
> 
> https://git.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/gpm

Hm, good question!